Name:          mathmod
Version:       12.1
Release:       %mkrel 1
Summary:       A program which generate 3D and 4D surfaces
Group:         Sciences/Mathematics
License:       GPLv2
URL:           https://sourceforge.net/projects/mathmod
Source0:       https://sourceforge.net/projects/mathmod/files/MathMod-%{version}/%{name}-%{version}-source.zip
Source1:       %{name}.1
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6OpenGL)
BuildRequires: cmake(Qt6OpenGLWidgets)
BuildRequires: cmake(Qt6Widgets)
Provides:      k3dsurf = %{version}

%description
MathMod is a mathematical modeling software that visualize and
animate implicit and parametric surfaces.
MathMod supports:
3D and 4D plotting and animation
OBJ output file format
Scripting language compatible with JSON
Large set of scripted examples

%prep
%autosetup

%build
%qmake_qt6
%make_build

%install
install -D -m755 MathMod %{buildroot}%{_bindir}/%{name}
install -D -m644 images/win/ico.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

# Create the system menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=MathMod
GenericName=3D and 4D surfaces generation
GenericName[it]=Grafici di funzioni 3D e 4D
GenericName[ru]=Генерация 3D и 4D поверхностей
Comment=Tool for mathematical surfaces
Comment[af]=Hulpmiddel vir wiskundige oppervlakke
Comment[sq]=Mjet për sipërfaqet matematike
Comment[ast]=Preséu pa superficies matemátiques
Comment[be]=Прылада для працы з матэматычнымі паверхнямі
Comment[bn]=গাণিতিক পৃষ্ঠতলের জন্য টুল
Comment[bs]=Alat za matematičke površine
Comment[pt_BR]=Ferramenta para superfícies matemáticas
Comment[bg]=Инструмент за математически повърхнини
Comment[ca]=Eina per a superfícies matemàtiques
Comment[ca@valencia]=Eina per a superfícies matemàtiques
Comment[crh]=Matematiksel yüzeyler için bir araç
Comment[zh_CN]=数学曲面工具
Comment[da]=Værktøj til matematiske overflader
Comment[cs]=Nástroj pro zobrazení matematického prostoru
Comment[nl]=Programma voor wiskundige oppervlaktes
Comment[fi]=Matemaattisten pintojen työkalu
Comment[fr]=Outil pour les surfaces mathématiques
Comment[gl]=Ferramenta para superficies matemáticas
Comment[de]=Werkzeug für mathematische Oberflächen
Comment[gd]=Inneal son uachdaran matamataig
Comment[el]=Εργαλείο για μαθηματικές επιφάνειες
Comment[hu]=Eszköz matematikai felületekhez
Comment[it]=Strumento per superfici matematiche
Comment[ja]=数学的な曲面ツール
Comment[ky]=Математикалык тегиздиктер менен иштөө үчүн шайман
Comment[lt]=Įrankis matematiniams paviršiams
Comment[ms]=Alat untuk permukaan matematik
Comment[oc]=Aisina per las susfàcias matematicas
Comment[nb]=Verktøy for matematiske overflater
Comment[pl]=Przekształcanie i wizualizacja wielowymiarowych powierzchni za pomocą matematycznych przekształceń
Comment[pt]=Ferramenta para superfícies matemáticas
Comment[ru]=Инструмент для работы с математическими поверхностями
Comment[ro]=Unealtă pentru suprafețe matematice
Comment[sk]=Nástroj na matematické povrchy
Comment[sl]=Orodje za matematične površine
Comment[sv]=Verktyg för matematiska ytor
Comment[es]=Herramienta para superficies matemáticas
Comment[tr]=Matematiksel yüzeyler için bir araç
Comment[uk]=Інструмент для роботи з математичними поверхнями
Comment[vi]=Công cụ bề mặt toán học
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Education;Science;Math;
EOF

%files
%doc documentation/*
%license Licence.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Apr 13 2025 daviddavid <daviddavid> 12.1-1.mga10
+ Revision: 2175100
- new version: 12.1
- switch to Qt6

* Wed Nov 13 2024 daviddavid <daviddavid> 12.0-1.mga10
+ Revision: 2114732
- new version: 12.0

* Thu Nov 10 2022 ghibo <ghibo> 11.1-1.mga9
+ Revision: 1905077
- Rebuild for aging.
- Update to release 11.1.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ daviddavid <daviddavid>
- new version: 11.0

* Fri Dec 18 2020 daviddavid <daviddavid> 10.1-1.mga8
+ Revision: 1660953
- new version: 10.1

* Thu Dec 17 2020 umeabot <umeabot> 6.1-5.mga8
+ Revision: 1659054
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 6.1-4.mga8
+ Revision: 1524827
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 6.1-3.mga7
+ Revision: 1383354
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 6.1-2.mga7
+ Revision: 1299486
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 6.1-1.mga7
+ Revision: 1217562
- Update to version 6.1

* Sat Oct 07 2017 daviddavid <daviddavid> 6.0-1.mga7
+ Revision: 1169800
- new version: 6.0
- split out all Qt5 BRs
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 alexl <alexl> 3.1-1.mga6
+ Revision: 901433
- version 3.1
- add man page
- use icon from sources instead of separated source
- qt5 build
- del Encoding field from desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.svn20140414.5.mga5
+ Revision: 741678
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 alexl <alexl> 1.0-0.svn20140414.4.mga5
+ Revision: 731488
- added Provides: k3dsurf

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.svn20140414.3.mga5
+ Revision: 682209
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 alexl <alexl> 1.0-0.svn20140413.3.mga5
+ Revision: 660030
- added new Comment for desktop file and translated it

* Mon Jul 21 2014 alexl <alexl> 1.0-0.svn20140413.2.mga5
+ Revision: 654986
- fixed desktop file

* Mon May 19 2014 alexl <alexl> 1.0-0.svn20140413.1.mga5
+ Revision: 623711
- imported package mathmod

